Get one comment with context
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": {
"id": "<string>",
"cursor": "<string>",
"platform": "facebook",
"channel_id": "<string>",
"channel_name": "<string>",
"post_id": "<string>",
"platform_post_id": "<string>",
"post_permalink": "<string>",
"platform_comment_id": "<string>",
"parent_platform_comment_id": "<string>",
"author": {
"id": "<string>",
"username": "<string>"
},
"message": "<string>",
"media_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"received_at": "2023-11-07T05:31:56Z",
"handled": true,
"handled_by_kind": "user",
"reply_unverified": true,
"permalink": "<string>",
"is_own": true,
"hidden": true,
"handled_at": "2023-11-07T05:31:56Z",
"handled_reason": "<string>",
"handled_note": "<string>",
"reply_unverified_at": "2023-11-07T05:31:56Z",
"post": {
"id": "<string>",
"caption": "<string>",
"permalink": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"parent": {
"id": "<string>",
"platform_comment_id": "<string>",
"author": {
"id": "<string>",
"username": "<string>"
},
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_own": true
},
"channel_replies": [
{
"id": "<string>",
"platform_comment_id": "<string>",
"author": {
"id": "<string>",
"username": "<string>"
},
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_own": true
}
],
"actions": [
{
"action": "<string>",
"status": "<string>",
"actor": {
"kind": "<string>",
"name": "<string>"
},
"note": "<string>",
"message": "<string>",
"error_code": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
},
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}Inbox
Get one comment with context
A comment with its post, parent comment, the channel’s own replies in the thread (up to 20) and the action history (up to 10, never exposes keys). Read actions before replying: the hub does not block a second reply to the same comment under a different Idempotency-Key.
Required role: viewer.
GET
/
inbox
/
comments
/
{id}
Get one comment with context
curl --request GET \
--url https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://monitor.solobiz.academy/api/open/v1/inbox/comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"message": "Operation successful",
"data": {
"id": "<string>",
"cursor": "<string>",
"platform": "facebook",
"channel_id": "<string>",
"channel_name": "<string>",
"post_id": "<string>",
"platform_post_id": "<string>",
"post_permalink": "<string>",
"platform_comment_id": "<string>",
"parent_platform_comment_id": "<string>",
"author": {
"id": "<string>",
"username": "<string>"
},
"message": "<string>",
"media_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"received_at": "2023-11-07T05:31:56Z",
"handled": true,
"handled_by_kind": "user",
"reply_unverified": true,
"permalink": "<string>",
"is_own": true,
"hidden": true,
"handled_at": "2023-11-07T05:31:56Z",
"handled_reason": "<string>",
"handled_note": "<string>",
"reply_unverified_at": "2023-11-07T05:31:56Z",
"post": {
"id": "<string>",
"caption": "<string>",
"permalink": "<string>",
"published_at": "2023-11-07T05:31:56Z"
},
"parent": {
"id": "<string>",
"platform_comment_id": "<string>",
"author": {
"id": "<string>",
"username": "<string>"
},
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_own": true
},
"channel_replies": [
{
"id": "<string>",
"platform_comment_id": "<string>",
"author": {
"id": "<string>",
"username": "<string>"
},
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_own": true
}
],
"actions": [
{
"action": "<string>",
"status": "<string>",
"actor": {
"kind": "<string>",
"name": "<string>"
},
"note": "<string>",
"message": "<string>",
"error_code": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
},
"timestamp": "2023-11-07T05:31:56Z",
"meta": {}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "Insufficient workspace role",
"code": "ForbiddenException"
},
"timestamp": "2026-11-19T00:00:00.000Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"issues": [
{
"code": "<string>",
"message": "<string>"
}
],
"retry_after_seconds": 123
},
"timestamp": "2023-11-07T05:31:56Z"
}
